Bug 567437 - [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12
Summary: [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60a54313
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-22 23:47 UTC by Joel Uckelman
Modified: 2010-03-13 02:31 UTC (History)
4 users (show)

Fixed In Version: wallpapoz-0.4.1-18.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-13 02:22:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.90 KB, text/plain)
2010-02-22 23:47 UTC, Joel Uckelman
no flags Details
wallpapoz.xml (689 bytes, text/plain)
2010-02-23 18:25 UTC, Joel Uckelman
no flags Details
.xsession-errors (31.12 KB, text/plain)
2010-02-23 18:30 UTC, Joel Uckelman
no flags Details

Description Joel Uckelman 2010-02-22 23:47:08 UTC
abrt 1.0.6 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/daemon_wallpapoz
component: wallpapoz
executable: /usr/bin/daemon_wallpapoz
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: wallpapoz-0.4.1-16.svn92_trunk.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB60a54313 daemon_wallpapoz:169:<module>:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/daemon_wallpapoz", line 169, in <module>
    wallpapoz_system.change_wallpaper(worklist[cur_desk][number[cur_desk]])
IndexError: list index out of range

Local variables in innermost frame:
total_workspaces: 4
conf_type: u'workspace'
random: <module 'random' from '/usr/lib64/python2.6/random.pyc'>
number: array('i', [0, 0, 0, 0])
previous_index: -1
GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
array: <module 'array' from '/usr/lib64/python2.6/lib-dynload/arraymodule.so'>
cur_beryl_status: True
style: 'scaled'
previous_desktop: -1
gtk: <module 'gtk' from '/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.pyc'>
__package__: None
delay: 300.0
WallpapozSystem: <class wallpapoz_system.WallpapozSystem at 0xf80230>
available_style: {'1': 'stretched', '0': 'centered', '3': 'zoom', '2': 'scaled', '4': 'wallpaper'}
__doc__: None
string: <module 'string' from '/usr/lib64/python2.6/string.pyc'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/daemon_wallpapoz'
wallpapoz_system: <wallpapoz_system.WallpapozSystem instance at 0xf6d7e8>
randomvar: 0
wallpaper_list: [<AsyncIndex(Thread-1, stopped 140210578286352)>, <AsyncIndex(Thread-2, stopped 140210567796496)>, <AsyncIndex(Thread-3, stopped 140210482444048)>, <AsyncIndex(Thread-4, stopped 140210471954192)>]
sys: <module 'sys' (built-in)>
__name__: '__main__'
wallpapozxml: <xml_processing.XMLProcessing instance at 0xf6d830>
cur_desk: 0
i: 3
AsyncIndex: <class '__main__.AsyncIndex'>
threading: <module 'threading' from '/usr/lib64/python2.6/threading.pyc'>
XMLProcessing: <class xml_processing.XMLProcessing at 0xf80290>
pathname: '/usr/bin'
time: <module 'time' from '/usr/lib64/python2.6/lib-dynload/timemodule.so'>
worklist: []
os: <module 'os' from '/usr/lib64/python2.6/os.pyc'>
previous_beryl_status: True

Comment 1 Joel Uckelman 2010-02-22 23:47:10 UTC
Created attachment 395607 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-02-23 05:27:52 UTC
Would you
- provide the exact procedure how to reproduce this issue
  in detail?
- attach your
  * ~/.wallpapoz/wallpapoz.xml
  * ~/.xsession-errors ?
- What desktop environment are you using and how many workspaces
  do you have? Also would you tell me if you have some desktop
  effect enabled?

Comment 3 Joel Uckelman 2010-02-23 18:25:58 UTC
Created attachment 395789 [details]
wallpapoz.xml

Comment 4 Joel Uckelman 2010-02-23 18:30:09 UTC
Created attachment 395790 [details]
.xsession-errors

This is not the .xsession-errors from the last time the crash occurred, unfortunately.

Comment 5 Joel Uckelman 2010-02-23 18:39:13 UTC
The crash happens at login to X, but only sometimes. I'm using GNOME with compiz-fusion, cairo-dock, 4 workspaces.

Comment 6 Mamoru TASAKA 2010-02-23 19:00:30 UTC
Ah, actually still daemon_wallpapoz has a bug of race condition
on checking the status of desktop effect, assigning.

Comment 7 Fedora Update System 2010-02-25 20:13:42 UTC
wallpapoz-0.4.1-17.svn92_trunk.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-17.svn92_trunk.fc13

Comment 8 Fedora Update System 2010-02-25 20:15:58 UTC
wallpapoz-0.4.1-17.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-17.svn92_trunk.fc12

Comment 9 Fedora Update System 2010-02-25 20:16:54 UTC
wallpapoz-0.4.1-17.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-17.svn92_trunk.fc11

Comment 10 Fedora Update System 2010-02-26 11:49:41 UTC
wallpapoz-0.4.1-17.svn92_trunk.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-02-27 03:37:32 UTC
wallpapoz-0.4.1-17.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3046

Comment 12 Fedora Update System 2010-02-28 18:15:44 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc12

Comment 13 Fedora Update System 2010-02-28 18:16:25 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 14 Fedora Update System 2010-02-28 18:16:59 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 15 Fedora Update System 2010-03-02 01:01:49 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3262

Comment 16 Fedora Update System 2010-03-13 02:22:13 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-13 02:31:24 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.